# As an emulator, this should be submitted to tainted

%define snapshot 5406
%define mainrel 8
%define snaprel 2
%define subrel  1

Name:           dolphin-emu
Version:        4.0.2
Release:        %mkrel %{mainrel}.%{snapshot}.%{snaprel}
Epoch:          1
License:        GPLv2
Summary:        GameCube/Wii emulator
Url:            http://dolphin-emu.org/
Group:          Emulators
# Git snapshot, with some unnecessary content removed using Source1
Source0:        %{name}-%{version}+%{snapshot}.tar.xz
Source1:        make-snapshot.sh

BuildRequires:  cmake
BuildRequires:  ffmpeg-devel
BuildRequires:  icoutils
BuildRequires:  libgomp-devel
BuildRequires:  liblzo-devel
BuildRequires:  miniupnpc-devel
BuildRequires:  pkgconfig(ao)
BuildRequires:  pkgconfig(bluez)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libusb-1.0)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(portaudio-2.0)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(sfml-network)
BuildRequires:  pkgconfig(soundtouch)
BuildRequires:  polarssl-devel
BuildRequires:  wxgtk-devel >= 3.0

%description
Dolphin is an emulator for two recent Nintendo video game consoles:
the GameCube and the Wii. It allows PC gamers to enjoy games for these
two consoles in full HD (1080p) with several enhancements: compatibility
with all PC controllers, turbo speed, networked multiplayer, and even more!

%ifarch %ix86
This is a generic JIT-less build, since JIT is not supported on 32bit systems.
%endif

%prep
%setup -q -n %{name}-%{version}+%{snapshot}
%apply_patches

%build
%ifarch %ix86
%define genericbuild ON
%else
%define genericbuild OFF
%endif

%cmake -DDOLPHIN_WC_REVISION=%{snapshot} \
       -DENABLE_GENERIC=%{genericbuild}
%make

%install
%makeinstall_std -C build

icotool -x Installer/Dolphin.ico
install -D -m644 Dolphin_4_256x256x32.png %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png
install -D -m644 Dolphin_5_64x64x32.png %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
install -D -m644 Dolphin_6_48x48x32.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -D -m644 Dolphin_7_16x16x32.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

%find_lang %{name}

%files -f %{name}.lang
%doc Readme.md
%{_bindir}/%{name}
%{_bindir}/%{name}-nogui
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sun Aug 09 2015 daviddavid <daviddavid> 1:4.0.2-8.5406.2.1.mga5
+ Revision: 862291
- rebuild for new fix of wxgtk built without --enable-utf8 option (mga#16560)

* Mon Feb 09 2015 akien <akien> 1:4.0.2-8.5406.2.mga5.tainted
+ Revision: 814393
- Rebuild for sfml 2.2

* Wed Feb 04 2015 akien <akien> 1:4.0.2-8.5406.1.mga5.tainted
+ Revision: 813385
- Enable generic (JIT-less) build on i586
- New dev snapshot 4.0-5406 (stable 4.0 branch)
- Compatible with SFML 2
- Use upstream desktop file and icons (drop custom icon sources)
- Build against system polarssl and libusb

* Wed Dec 17 2014 akien <akien> 1:4.0.2-7.mga5.tainted
+ Revision: 803764
- Rebuild for miniupnpc

* Sun Nov 16 2014 akien <akien> 1:4.0.2-6.mga5.tainted
+ Revision: 797624
- Rebuild for ffmpeg 2.4

* Sat Nov 08 2014 akien <akien> 1:4.0.2-5.mga5.tainted
+ Revision: 796094
- Rebuild for GLEW
- Improve description

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

  + luigiwalser <luigiwalser>
    - rebuild for miniupnpc

* Tue Mar 11 2014 akien <akien> 1:4.0.2-1.mga5.tainted
+ Revision: 602469
- Bugfix version 4.0.2
- Needs wxgtk >= 2.9.3
- Adding shared BRs: lzo, miniupnpc, sdl2, soundtouch
- Remove dependency on the nonfree cg-devel

* Thu Oct 31 2013 tmb <tmb> 1:4.0-2.mga4.nonfree
+ Revision: 548351
- Mageia 4 rebuild

* Thu Oct 10 2013 dams <dams> 1:4.0-1.mga4.nonfree
+ Revision: 494507
- fix typo in specfile

  + neoclust <neoclust>
    - New version

* Wed Jul 24 2013 sander85 <sander85> 1:3.5-5.mga4.nonfree
+ Revision: 457695
- Rebuild for new glew

* Tue Jul 16 2013 fwang <fwang> 1:3.5-4.mga4.nonfree
+ Revision: 454975
- rebuild for new ffmpeg

* Wed Jun 05 2013 fwang <fwang> 1:3.5-3.mga4.nonfree
+ Revision: 437475
- fix conflicts
- br sfml
- build sfml-network as static lib
- build static lib
- fix br on sfml
- force gomp
- new version 3.5
- use correct macro
- use system flags

* Thu Jan 17 2013 pterjan <pterjan> 1:3.0.802-2.mga4.nonfree
+ Revision: 389214
+ rebuild (emptylog)

* Fri Jan 11 2013 umeabot <umeabot> 1:3.0.802-2.mga3.nonfree
+ Revision: 349057
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 juancho <juancho> 1:3.0.802-1.mga3.nonfree
+ Revision: 343609
- imported package dolphin-emu


* Sun Nov 04 2012 Zombie Ryushu <ryushu@mandriva.org> 1:3.0.802-1mdv2012.0
+ Revision: 821859
- Update to git 802

* Fri Sep 07 2012 Zombie Ryushu <ryushu@mandriva.org> 1:3.0.766-1
+ Revision: 816504
- Upgrade to version 766

* Wed Mar 21 2012 Andrey Bondrov <abondrov@mandriva.org> 1:3.0.486-1
+ Revision: 785932
- imported package dolphin-emu


* Wed Mar 21 2012 Andrey Bondrov <bondrov@math.dvgu.ru> 1:3.0.486-1mdv2010.2
- Updated to git revision 486 (and use epoch to allow updates)
- Prepared to port from MIB to non-free

* Sat Jul 16 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 3.0.rev7680-69.1mib2010.2
- New version 3.0
- Updated SVN (7680) revision
- MIB (Mandriva International Backport) - http://mib.pianetalinux.org/

* Fri Mar 04 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 2.0.rev7283-69mib2010.2
- Updated SVN (7039) revision
- MIB (Mandriva International Backport) - http://mib.pianetalinux.org/

* Wed Feb 02 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 2.0.rev7039-69mib2010.2
- Updated SVN (7039) revision
- MIB (Mandriva International Backport) - http://mib.pianetalinux.org/

* Sat Jan 29 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 2.0.rev6969-69mib2010.2
- Updated SVN (6969) revision
- MIB (Mandriva International Backport) - http://mib.pianetalinux.org/

* Fri Jan 28 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 2.0.rev6946-69.1mib2010.2
- Updated SVN (6946) revision
- Added BuildRequires: libalsa-devel 
- MIB (Mandriva International Backport) - http://mib.pianetalinux.org/

* Tue Jan 25 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 2.0.rev6903-69.1mib2010.2
- First build for MIB users
- MIB (Mandriva International Backport) - http://mib.pianetalinux.org/

